/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author developer2
 */
@Embeddable
public class TgenechannelsdescPK implements Serializable {

    @Basic(optional = false)
    @Column(name = "CHANNELCODE")
    private String channelcode;
    @Basic(optional = false)
    @Column(name = "LANGUAGECODE")
    private String languagecode;

    public TgenechannelsdescPK() {
    }

    public TgenechannelsdescPK(String channelcode, String languagecode) {
        this.channelcode = channelcode;
        this.languagecode = languagecode;
    }

    public String getChannelcode() {
        return channelcode;
    }

    public void setChannelcode(String channelcode) {
        this.channelcode = channelcode;
    }

    public String getLanguagecode() {
        return languagecode;
    }

    public void setLanguagecode(String languagecode) {
        this.languagecode = languagecode;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (channelcode != null ? channelcode.hashCode() : 0);
        hash += (languagecode != null ? languagecode.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TgenechannelsdescPK)) {
            return false;
        }
        TgenechannelsdescPK other = (TgenechannelsdescPK) object;
        if ((this.channelcode == null && other.channelcode != null) || (this.channelcode != null && !this.channelcode.equals(other.channelcode))) {
            return false;
        }
        if ((this.languagecode == null && other.languagecode != null) || (this.languagecode != null && !this.languagecode.equals(other.languagecode))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.TgenechannelsdescPK[ channelcode=" + channelcode + ", languagecode=" + languagecode + " ]";
    }
    
}
